var _y;
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
import "./index-YqpN0yec.js";
import "./index-CZypPRsn.js";
var r = new Array(0, 49, 98, 83, 196, 245, 166, 151, 185, 136, 219, 234, 125, 76, 31, 46, 67, 114, 33, 16, 135, 182, 229, 212, 250, 203, 152, 169, 62, 15, 92, 109, 134, 183, 228, 213, 66, 115, 32, 17, 63, 14, 93, 108, 251, 202, 153, 168, 197, 244, 167, 150, 1, 48, 99, 82, 124, 77, 30, 47, 184, 137, 218, 235, 61, 12, 95, 110, 249, 200, 155, 170, 132, 181, 230, 215, 64, 113, 34, 19, 126, 79, 28, 45, 186, 139, 216, 233, 199, 246, 165, 148, 3, 50, 97, 80, 187, 138, 217, 232, 127, 78, 29, 44, 2, 51, 96, 81, 198, 247, 164, 149, 248, 201, 154, 171, 60, 13, 94, 111, 65, 112, 35, 18, 133, 180, 231, 214, 122, 75, 24, 41, 190, 143, 220, 237, 195, 242, 161, 144, 7, 54, 101, 84, 57, 8, 91, 106, 253, 204, 159, 174, 128, 177, 226, 211, 68, 117, 38, 23, 252, 205, 158, 175, 56, 9, 90, 107, 69, 116, 39, 22, 129, 176, 227, 210, 191, 142, 221, 236, 123, 74, 25, 40, 6, 55, 100, 85, 194, 243, 160, 145, 71, 118, 37, 20, 131, 178, 225, 208, 254, 207, 156, 173, 58, 11, 88, 105, 4, 53, 102, 87, 192, 241, 162, 147, 189, 140, 223, 238, 121, 72, 27, 42, 193, 240, 163, 146, 5, 52, 103, 86, 120, 73, 26, 43, 188, 141, 222, 239, 130, 179, 224, 209, 70, 119, 36, 21, 59, 10, 89, 104, 255, 206, 157, 172);
function a(a) {
  for (var e = 0, n = 1, t = a[2]; t--;) e = r[e ^ a[n]], n++;
  return e;
}
function e(r) {
  var a = new ArrayBuffer(4),
    e = new Uint32Array(a),
    n = new ArrayBuffer(4),
    t = new Uint32Array(n),
    _ = new ArrayBuffer(4),
    l = new Uint32Array(_),
    u = new Float32Array(_),
    y = new ArrayBuffer(4),
    w = new Uint32Array(y),
    c = new Float32Array(y);
  e[0] = 255 << 23, t[0] = 31 << 23, l[0] = 15 << 23;
  c[0] = r;
  var i = 2147483648 & w[0];
  w[0] ^= i;
  var A = 0;
  return w[0] >= e ? A = w[0] > e ? 32767 : 31744 : (w[0] &= -4096, c[0] *= u[0], w[0] -= -4096, w[0] > t[0] && (w[0] = t[0]), A = w[0] >> 13), A |= i >> 16, Number(A);
}
var n = {
    gimbal_mode2_ctrl: function gimbal_mode2_ctrl(r) {
      var e = new Array(165, 32, 3, 1, 0);
      return e[3] = r, e[4] = a(e), e;
    }
  },
  t = {
    gimbal_mode_ctrl: function gimbal_mode_ctrl(r) {
      var e = new Array(165, 8, 3, 0, 0);
      return e[3] = r, e[4] = a(e), e;
    },
    zoom: function zoom(r) {
      var e = new Array(165, 4, 3, 0, 0);
      return e[3] = r >>> 0 & 255, e[4] = a(e), e;
    },
    ju: function ju(r) {
      var e = new Array(165, 17, 4, 0, 0, 0);
      return e[3] = r >>> 0 & 255, e[5] = a(e), e;
    },
    change_pitch_angle: function change_pitch_angle(r) {
      var n = new Array(165, 34, 4, 0, 0, 0),
        t = e(r);
      return n[3] = 255 & t, n[4] = t >> 8 & 255, n[5] = a(n), n;
    },
    change_yaw_angle: function change_yaw_angle(r) {
      var n = new Array(165, 35, 4, 0, 0, 0),
        t = e(r);
      return n[3] = 255 & t, n[4] = t >> 8 & 255, n[5] = a(n), n;
    },
    camera_mode_ctrl: function camera_mode_ctrl(r) {
      var e = new Array(165, 9, 3, 0, 0);
      return e[3] = r, e[4] = a(e), e;
    },
    take_photo: function take_photo(_ref) {
      var _ref$longitude = _ref.longitude,
        r = _ref$longitude === void 0 ? 0 : _ref$longitude,
        _ref$latitude = _ref.latitude,
        e = _ref$latitude === void 0 ? 0 : _ref$latitude,
        _ref$altitude = _ref.altitude,
        n = _ref$altitude === void 0 ? 0 : _ref$altitude;
      var t = new Array(165, 1, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
      return t[5] = 255 & n, t[6] = n >> 8 & 255, t[7] = n >> 16 & 255, t[8] = n >> 24 & 255, t[9] = 255 & e, t[10] = e >> 8 & 255, t[11] = e >> 16 & 255, t[12] = e >> 24 & 255, t[13] = 255 & r, t[14] = r >> 8 & 255, t[15] = r >> 16 & 255, t[16] = r >> 24 & 255, t[17] = a(t), t;
    },
    record: function record(r) {
      var e = new Array(165, 5, 3, 0, 0);
      return e[3] = r ? 2 : 0, e[4] = a(e), e;
    },
    gimbal_pitch_ctrl: function gimbal_pitch_ctrl(r, e) {
      var n = r * e >>> 0 & 255,
        t = new Array(165, 6, 3, 0, 0);
      return t[3] = n, t[4] = a(t), t;
    },
    gimbal_yaw_ctrl: function gimbal_yaw_ctrl(r, e) {
      var n = r * e >>> 0 & 255,
        t = new Array(165, 7, 3, 0, 0);
      return t[3] = n, t[4] = a(t), t;
    }
  },
  _ = {
    gimbal_mode_ctrl: function gimbal_mode_ctrl(r) {
      var e = new Array(165, 8, 3, 0, 0);
      return e[3] = r, e[4] = a(e), e;
    },
    zoom: function zoom(r) {
      var e = new Array(165, 4, 3, 0, 0);
      return e[3] = r >>> 0 & 255, e[4] = a(e), e;
    },
    change_pitch_angle: function change_pitch_angle(r) {
      var n = new Array(165, 34, 4, 0, 0, 0),
        t = e(r);
      return n[3] = 255 & t, n[4] = t >> 8 & 255, n[5] = a(n), n;
    },
    change_yaw_angle: function change_yaw_angle(r) {
      var n = new Array(165, 35, 4, 0, 0, 0),
        t = e(r);
      return n[3] = 255 & t, n[4] = t >> 8 & 255, n[5] = a(n), n;
    },
    camera_mode_ctrl: function camera_mode_ctrl(r) {
      var e = new Array(165, 9, 3, 0, 0);
      return e[3] = r, e[4] = a(e), e;
    },
    take_photo: function take_photo(_ref2) {
      var _ref2$longitude = _ref2.longitude,
        r = _ref2$longitude === void 0 ? 0 : _ref2$longitude,
        _ref2$latitude = _ref2.latitude,
        e = _ref2$latitude === void 0 ? 0 : _ref2$latitude,
        _ref2$altitude = _ref2.altitude,
        n = _ref2$altitude === void 0 ? 0 : _ref2$altitude;
      var t = new Array(165, 1, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
      return t[5] = 255 & n, t[6] = n >> 8 & 255, t[7] = n >> 16 & 255, t[8] = n >> 24 & 255, t[9] = 255 & e, t[10] = e >> 8 & 255, t[11] = e >> 16 & 255, t[12] = e >> 24 & 255, t[13] = 255 & r, t[14] = r >> 8 & 255, t[15] = r >> 16 & 255, t[16] = r >> 24 & 255, t[17] = a(t), t;
    },
    record: function record(r) {
      var e = new Array(165, 5, 3, 0, 0);
      return e[3] = r ? 2 : 0, e[4] = a(e), e;
    },
    gimbal_pitch_ctrl: function gimbal_pitch_ctrl(r, e) {
      var n = r * e >>> 0 & 255,
        t = new Array(165, 6, 3, 0, 0);
      return t[3] = n, t[4] = a(t), t;
    },
    gimbal_yaw_ctrl: function gimbal_yaw_ctrl(r, e) {
      var n = r * e >>> 0 & 255,
        t = new Array(165, 7, 3, 0, 0);
      return t[3] = n, t[4] = a(t), t;
    }
  },
  l = {
    gimbal_mode_ctrl: function gimbal_mode_ctrl(r) {
      var e = new Array(165, 8, 3, 0, 0);
      return e[3] = r, e[4] = a(e), e;
    },
    zoom: function zoom(r) {
      var e = new Array(165, 4, 3, 0, 0);
      return e[3] = r >>> 0 & 255, e[4] = a(e), e;
    },
    change_pitch_angle: function change_pitch_angle(r) {
      var n = new Array(165, 34, 4, 0, 0, 0),
        t = e(r);
      return n[3] = 255 & t, n[4] = t >> 8 & 255, n[5] = a(n), n;
    },
    change_yaw_angle: function change_yaw_angle(r) {
      var n = new Array(165, 35, 4, 0, 0, 0),
        t = e(r);
      return n[3] = 255 & t, n[4] = t >> 8 & 255, n[5] = a(n), n;
    },
    camera_mode_ctrl: function camera_mode_ctrl(r) {
      var e = new Array(165, 9, 3, 0, 0);
      return e[3] = r, e[4] = a(e), e;
    },
    take_photo: function take_photo(_ref3) {
      var _ref3$longitude = _ref3.longitude,
        r = _ref3$longitude === void 0 ? 0 : _ref3$longitude,
        _ref3$latitude = _ref3.latitude,
        e = _ref3$latitude === void 0 ? 0 : _ref3$latitude,
        _ref3$altitude = _ref3.altitude,
        n = _ref3$altitude === void 0 ? 0 : _ref3$altitude;
      var t = new Array(165, 1, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
      return t[5] = 255 & n, t[6] = n >> 8 & 255, t[7] = n >> 16 & 255, t[8] = n >> 24 & 255, t[9] = 255 & e, t[10] = e >> 8 & 255, t[11] = e >> 16 & 255, t[12] = e >> 24 & 255, t[13] = 255 & r, t[14] = r >> 8 & 255, t[15] = r >> 16 & 255, t[16] = r >> 24 & 255, t[17] = a(t), t;
    },
    record: function record(r) {
      var e = new Array(165, 5, 3, 0, 0);
      return e[3] = r ? 2 : 0, e[4] = a(e), e;
    },
    gimbal_pitch_ctrl: function gimbal_pitch_ctrl(r, e) {
      var n = r * e >>> 0 & 255,
        t = new Array(165, 6, 3, 0, 0);
      return t[3] = n, t[4] = a(t), t;
    },
    gimbal_yaw_ctrl: function gimbal_yaw_ctrl(r, e) {
      var n = r * e >>> 0 & 255,
        t = new Array(165, 7, 3, 0, 0);
      return t[3] = n, t[4] = a(t), t;
    }
  },
  u = {
    gimbal_mode_ctrl: function gimbal_mode_ctrl(r) {
      var e = new Array(165, 8, 3, 0, 0);
      return e[3] = r, e[4] = a(e), e;
    },
    gimbal_HDR_mode_ctrl: function gimbal_HDR_mode_ctrl(r) {
      var e = new Array(165, 9, 3, 0, 0);
      return e[3] = r, e[4] = a(e), e;
    },
    gimbal_ani_mode_ctrl: function gimbal_ani_mode_ctrl(r) {
      var e = new Array(165, 42, 3, 0, 0);
      return e[3] = r, e[4] = a(e), e;
    },
    gimbal_osd_mode_ctrl: function gimbal_osd_mode_ctrl(r) {
      var e = new Array(165, 22, 3, 0, 0);
      return e[3] = r, e[4] = a(e), e;
    },
    gimbal_delay_mode_ctrl: function gimbal_delay_mode_ctrl(r) {
      var e = new Array(165, 43, 3, 0, 0);
      return e[3] = r, e[4] = a(e), e;
    },
    zoom: function zoom(r) {
      var e = new Array(165, 4, 3, 0, 0);
      return e[3] = r >>> 0 & 255, e[4] = a(e), e;
    },
    change_pitch_angle: function change_pitch_angle(r) {
      var n = new Array(165, 34, 4, 0, 0, 0),
        t = e(r);
      return n[3] = 255 & t, n[4] = t >> 8 & 255, n[5] = a(n), n;
    },
    change_yaw_angle: function change_yaw_angle(r) {
      var n = new Array(165, 35, 4, 0, 0, 0),
        t = e(r);
      return n[3] = 255 & t, n[4] = t >> 8 & 255, n[5] = a(n), n;
    },
    camera_mode_ctrl: function camera_mode_ctrl(r) {
      var e = new Array(165, 31, 3, 0, 0);
      return e[3] = r, e[4] = a(e), e;
    },
    fog_mode_ctrl: function fog_mode_ctrl(r) {
      var e = new Array(165, 32, 3, 0, 0);
      return e[3] = r, e[4] = a(e), e;
    },
    take_photo: function take_photo(_ref4) {
      var _ref4$longitude = _ref4.longitude,
        r = _ref4$longitude === void 0 ? 0 : _ref4$longitude,
        _ref4$latitude = _ref4.latitude,
        e = _ref4$latitude === void 0 ? 0 : _ref4$latitude,
        _ref4$altitude = _ref4.altitude,
        n = _ref4$altitude === void 0 ? 0 : _ref4$altitude;
      var t = new Array(165, 1, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
      return t[5] = 255 & n, t[6] = n >> 8 & 255, t[7] = n >> 16 & 255, t[8] = n >> 24 & 255, t[9] = 255 & e, t[10] = e >> 8 & 255, t[11] = e >> 16 & 255, t[12] = e >> 24 & 255, t[13] = 255 & r, t[14] = r >> 8 & 255, t[15] = r >> 16 & 255, t[16] = r >> 24 & 255, t[17] = a(t), t;
    },
    record: function record(r) {
      var e = new Array(165, 5, 3, 0, 0);
      return e[3] = r ? 2 : 0, e[4] = a(e), e;
    },
    gimbal_pitch_ctrl: function gimbal_pitch_ctrl(r, e) {
      var n = r * e >>> 0 & 255,
        t = new Array(165, 6, 3, 0, 0);
      return t[3] = n, t[4] = a(t), t;
    },
    gimbal_yaw_ctrl: function gimbal_yaw_ctrl(r, e) {
      var n = r * e >>> 0 & 255,
        t = new Array(165, 7, 3, 0, 0);
      return t[3] = n, t[4] = a(t), t;
    }
  },
  y = (_y = {
    gimbal_mode_ctrl: function gimbal_mode_ctrl(r) {
      var e = new Array(165, 8, 3, 0, 0);
      return e[3] = r, e[4] = a(e), e;
    }
  }, _defineProperty(_defineProperty(_defineProperty(_defineProperty(_defineProperty(_defineProperty(_defineProperty(_defineProperty(_defineProperty(_defineProperty(_y, "gimbal_mode_ctrl", function gimbal_mode_ctrl(r) {
    var e = new Array(165, 8, 3, 0, 0);
    return e[3] = r, e[4] = a(e), e;
  }), "gimbal_light_mode_ctrl", function gimbal_light_mode_ctrl(r) {
    var e = new Array(165, 1, 3, 0, 0);
    return e[3] = r, e[4] = a(e), e;
  }), "gimbal_brightness_mode_ctrl", function gimbal_brightness_mode_ctrl(r) {
    var e = new Array(165, 32, 3, 0, 0);
    return e[3] = r, e[4] = a(e), e;
  }), "zoom", function zoom(r) {
    var e = new Array(165, 4, 3, 0, 0);
    return e[3] = r >>> 0 & 255, e[4] = a(e), e;
  }), "change_pitch_angle", function change_pitch_angle(r) {
    var n = new Array(165, 34, 4, 0, 0, 0),
      t = e(r);
    return n[3] = 255 & t, n[4] = t >> 8 & 255, n[5] = a(n), n;
  }), "change_yaw_angle", function change_yaw_angle(r) {
    var n = new Array(165, 35, 4, 0, 0, 0),
      t = e(r);
    return n[3] = 255 & t, n[4] = t >> 8 & 255, n[5] = a(n), n;
  }), "camera_mode_ctrl", function camera_mode_ctrl(r) {
    var e = new Array(165, 31, 3, 0, 0);
    return e[3] = r, e[4] = a(e), e;
  }), "pow_mode_ctrl", function pow_mode_ctrl(r) {
    var e = new Array(165, 9, 3, 0, 0);
    return e[3] = r, e[4] = a(e), e;
  }), "control_mode_ctrl", function control_mode_ctrl(r) {
    var e = new Array(166, 1, 3, 0, 0);
    return e[3] = r, e[4] = a(e), e;
  }), "take_photo", function take_photo(_ref5) {
    var _ref5$longitude = _ref5.longitude,
      r = _ref5$longitude === void 0 ? 0 : _ref5$longitude,
      _ref5$latitude = _ref5.latitude,
      e = _ref5$latitude === void 0 ? 0 : _ref5$latitude,
      _ref5$altitude = _ref5.altitude,
      n = _ref5$altitude === void 0 ? 0 : _ref5$altitude;
    var t = new Array(165, 1, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
    return t[5] = 255 & n, t[6] = n >> 8 & 255, t[7] = n >> 16 & 255, t[8] = n >> 24 & 255, t[9] = 255 & e, t[10] = e >> 8 & 255, t[11] = e >> 16 & 255, t[12] = e >> 24 & 255, t[13] = 255 & r, t[14] = r >> 8 & 255, t[15] = r >> 16 & 255, t[16] = r >> 24 & 255, t[17] = a(t), t;
  }), _defineProperty(_defineProperty(_defineProperty(_y, "record", function record(r) {
    var e = new Array(165, 5, 3, 0, 0);
    return e[3] = r ? 2 : 0, e[4] = a(e), e;
  }), "gimbal_pitch_ctrl", function gimbal_pitch_ctrl(r, e) {
    var n = r * e >>> 0 & 255,
      t = new Array(165, 6, 3, 0, 0);
    return t[3] = n, t[4] = a(t), t;
  }), "gimbal_yaw_ctrl", function gimbal_yaw_ctrl(r, e) {
    var n = r * e >>> 0 & 255,
      t = new Array(165, 7, 3, 0, 0);
    return t[3] = n, t[4] = a(t), t;
  })),
  w = {
    gimbal_audio_play_ctl: function gimbal_audio_play_ctl(r) {
      var e = new Array(165, 34, 3);
      return e[3] = r, e[4] = a(e), e;
    },
    gimbal_audio_play_next_ctl: function gimbal_audio_play_next_ctl() {
      var r = new Array(165, 35, 3, 1);
      return r[4] = a(r), r;
    },
    gimbal_pitch_ctrl: function gimbal_pitch_ctrl(r, e) {
      var n = r * e >>> 0 & 255,
        t = new Array(165, 6, 3, 0, 0);
      return t[3] = n, t[4] = a(t), t;
    }
  },
  c = {
    constant_bright_ctrl: function constant_bright_ctrl(r) {
      var e = new Array(165, 1, 3);
      return e[3] = r ? 2 : 1, e[4] = a(e), e;
    },
    flicker_ctrl: function flicker_ctrl() {
      var r = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : !1;
      var e = new Array(165, 1, 3);
      return e[3] = r ? 1 : 3, e[4] = a(e), e;
    },
    middle_ctrl: function middle_ctrl() {
      var r = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : !1;
      var e = new Array(165, 8, 3);
      return e[3] = r ? 1 : 2, e[4] = a(e), e;
    },
    very_bright_ctrl: function very_bright_ctrl() {
      var r = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : !1;
      var e = new Array(165, 4, 4, 0);
      return e[4] = r ? 1 : 2, e[5] = a(e), e;
    },
    gimbal_pitch_ctrl: function gimbal_pitch_ctrl(r) {
      var e = new Array(165, 6, 3, 0, 0);
      return 1 == r && (e[3] = 3), -1 == r && (e[3] = 253), e[4] = a(e), e;
    }
  },
  i = {
    gimbal_mode_ctrl: function gimbal_mode_ctrl(r) {
      var e = new Array(165, 164, 3, 0, 0);
      return e[3] = r, e[4] = a(e), e;
    },
    change_pitch_angle: function change_pitch_angle(r) {
      var e = new Array(165, 162, 3);
      if (!(r > 30 || r < -90)) return e[3] = 255 & r, e[4] = a(e), e;
    },
    change_yaw_angle: function change_yaw_angle(r) {
      var e = new Array(165, 163, 4, 0, 0, 0);
      return e[3] = 255 & r, e[4] = r >> 8 & 255, e[5] = a(e), e;
    },
    gimbal_pitch_ctrl: function gimbal_pitch_ctrl(r, e) {
      var n = r * e >>> 0 & 255,
        t = new Array(165, 160, 3, 0, 0);
      return t[3] = n, t[4] = a(t), t;
    },
    gimbal_yaw_ctrl: function gimbal_yaw_ctrl(r, e) {
      var n = r * e >>> 0 & 255,
        t = new Array(165, 161, 3, 0, 0);
      return t[3] = n, t[4] = a(t), t;
    }
  },
  A = {
    lntelligent_mode_ctrl: function lntelligent_mode_ctrl(r) {
      var e = new Array(165, 2, 3);
      return e[3] = r ? 1 : 0, e[4] = a(e), e;
    },
    motor_weight: function motor_weight() {
      var r = new Array(165, 1, 3, 1);
      return r[4] = a(r), r;
    },
    gimbal_pitch_ctrl: function gimbal_pitch_ctrl(r) {
      var e = new Array(165, 5, 3, 0, 0);
      return 1 == r && (e[3] = 3), -1 == r && (e[3] = 253), e[4] = a(e), e;
    }
  },
  v = {
    fire_ctrl: function fire_ctrl(r) {
      var e = new Array(165, 1, 3, 1, 0);
      return e[3] = r, e[4] = a(e), e;
    },
    gimbal_pitch_ctrl: function gimbal_pitch_ctrl(r, e) {
      var n = r * e >>> 0 & 255,
        t = new Array(165, 6, 3, 0, 0);
      return t[3] = n, t[4] = a(t), t;
    },
    gimbal_yaw_ctrl: function gimbal_yaw_ctrl(r, e) {
      var n = r * e >>> 0 & 255,
        t = new Array(165, 7, 3, 0, 0);
      return t[3] = n, t[4] = a(t), t;
    }
  },
  m = {
    gimbal_pitch_ctrl: function gimbal_pitch_ctrl(r) {
      var e = new Array(165, 6, 3, 0, 0);
      return 1 == r && (e[3] = 3), -1 == r && (e[3] = 253), 0 == r && (e[3] = 0), e[4] = a(e), e;
    }
  },
  g = {
    gimbal_mode_ctrl: function gimbal_mode_ctrl(r) {
      var e = new Array(165, 8, 3, 0, 0);
      return e[3] = r, e[4] = a(e), e;
    },
    gimbal_image_mode: function gimbal_image_mode(r) {
      var e = new Array(165, 37, 3, 0, 0);
      return e[3] = parseInt(r), e[4] = a(e), e;
    },
    gimbal_thermal_mode: function gimbal_thermal_mode(r) {
      var e = new Array(165, 39, 3, 0, 0);
      return e[3] = r, e[4] = a(e), e;
    },
    gimbal_thermal_zoom: function gimbal_thermal_zoom(r) {
      var e = new Array(165, 41, 3, 0, 0);
      return e[3] = r, e[4] = a(e), e;
    },
    zoom: function zoom(r) {
      var e = new Array(165, 4, 3, 0, 0);
      return e[3] = r >>> 0 & 255, e[4] = a(e), e;
    },
    gimbal_pitch_ctrl: function gimbal_pitch_ctrl(r) {
      var e = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 1;
      var n = r * e >>> 0 & 255,
        t = new Array(165, 6, 3, 0, 0);
      return t[3] = n, t[4] = a(t), t;
    },
    gimbal_yaw_ctrl: function gimbal_yaw_ctrl(r) {
      var e = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 1;
      var n = r * e >>> 0 & 255,
        t = new Array(165, 7, 3, 0, 0);
      return t[3] = n, t[4] = a(t), t;
    }
  },
  o = {
    fire_ctrl: function fire_ctrl() {
      var r = new Array(165, 32, 3, 1, 0);
      return r[3] = 1, r[4] = a(r), r;
    }
  },
  d = {
    laser_shine_ctrl: function laser_shine_ctrl() {
      var r = new Array(165, 32, 3, 1, 0);
      return r[3] = 1, r[4] = a(r), r;
    },
    gimbal_pitch_ctrl: function gimbal_pitch_ctrl(r) {
      var e = new Array(165, 6, 3, 0, 0);
      return 1 == r && (e[3] = 3), -1 == r && (e[3] = 253), e[4] = a(e), e;
    }
  },
  h = {
    laser_shine_ctrl: function laser_shine_ctrl() {
      var r = new Array(165, 32, 3, 1, 0);
      return r[3] = 1, r[4] = a(r), r;
    },
    gimbal_pitch_ctrl: function gimbal_pitch_ctrl(r) {
      var e = new Array(165, 6, 3, 0, 0);
      return 1 == r && (e[3] = 3), -1 == r && (e[3] = 253), e[4] = a(e), e;
    }
  },
  b = {
    laser_shine_ctrl: function laser_shine_ctrl(r) {
      var e = new Array(165, 32, 3, 1, 0);
      return e[3] = r, e[4] = a(e), e;
    },
    gimbal_pitch_ctrl: function gimbal_pitch_ctrl(r) {
      var e = new Array(165, 6, 3, 0, 0);
      return 1 == r && (e[3] = 3), -1 == r && (e[3] = 253), e[4] = a(e), e;
    }
  },
  p = {
    gimbal_mode_ctrl: function gimbal_mode_ctrl(r) {
      var e = new Array(165, 8, 3, 0, 0);
      return e[3] = r, e[4] = a(e), e;
    },
    zoom: function zoom(r) {
      var e = new Array(165, 4, 3, 0, 0);
      return e[3] = r >>> 0 & 255, e[4] = a(e), e;
    },
    change_pitch_angle: function change_pitch_angle(r) {
      var n = new Array(165, 34, 4, 0, 0, 0),
        t = e(r);
      return n[3] = 255 & t, n[4] = t >> 8 & 255, n[5] = a(n), n;
    },
    change_yaw_angle: function change_yaw_angle(r) {
      var n = new Array(165, 35, 4, 0, 0, 0),
        t = e(r);
      return n[3] = 255 & t, n[4] = t >> 8 & 255, n[5] = a(n), n;
    },
    camera_mode_ctrl: function camera_mode_ctrl(r) {
      var e = new Array(165, 9, 3, 0, 0);
      return e[3] = r, e[4] = a(e), e;
    },
    take_photo: function take_photo(_ref6) {
      var _ref6$longitude = _ref6.longitude,
        r = _ref6$longitude === void 0 ? 0 : _ref6$longitude,
        _ref6$latitude = _ref6.latitude,
        e = _ref6$latitude === void 0 ? 0 : _ref6$latitude,
        _ref6$altitude = _ref6.altitude,
        n = _ref6$altitude === void 0 ? 0 : _ref6$altitude;
      var t = new Array(165, 1, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
      return t[5] = 255 & n, t[6] = n >> 8 & 255, t[7] = n >> 16 & 255, t[8] = n >> 24 & 255, t[9] = 255 & e, t[10] = e >> 8 & 255, t[11] = e >> 16 & 255, t[12] = e >> 24 & 255, t[13] = 255 & r, t[14] = r >> 8 & 255, t[15] = r >> 16 & 255, t[16] = r >> 24 & 255, t[17] = a(t), t;
    },
    record: function record(r) {
      var e = new Array(165, 5, 3, 0, 0);
      return e[3] = r ? 2 : 0, e[4] = a(e), e;
    },
    gimbal_pitch_ctrl: function gimbal_pitch_ctrl(r, e) {
      var n = r * e >>> 0 & 255,
        t = new Array(165, 6, 3, 0, 0);
      return t[3] = n, t[4] = a(t), t;
    },
    gimbal_yaw_ctrl: function gimbal_yaw_ctrl(r, e) {
      var n = r * e >>> 0 & 255,
        t = new Array(165, 7, 3, 0, 0);
      return t[3] = n, t[4] = a(t), t;
    }
  };
export { _ as M, l as a, p as b, a as c, u as d, t as e, w as f, y as g, c as h, i, A as j, v as k, m as l, g as m, o as n, d as o, b as p, h as q, n as r };
